DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Classes | Typedefs
Helper class to create XML files using "printf", "fprintf", "cout",... functions.
The XML parser

## Classes
struct | ToXMLStringTool
| Helper class to create XML files using "printf", "fprintf", "cout",... functions. More...

## Typedefs
typedef struct XMLDLLENTRY ToXMLStringTool | ToXMLStringTool
| Helper class to create XML files using "printf", "fprintf", "cout",... functions.

## Detailed Description

## Typedef Documentation

## ◆ ToXMLStringTool

typedef struct XMLDLLENTRY ToXMLStringTool ToXMLStringTool

Helper class to create XML files using "printf", "fprintf", "cout",... functions.

The ToXMLStringTool class helps you creating XML files using "printf", "fprintf", "cout",... functions. The "ToXMLStringTool" class is processing strings so that all the characters &,",',<,> are replaced by their XML equivalent: @verbatim &amp;, &quot;, &apos;, &lt;, &gt; \endverbatim Using the "ToXMLStringTool class" and the "fprintf function" is THE most efficient way to produce VERY large XML documents VERY fast. \note If you are creating from scratch an XML file using the provided XMLNode class you must not use the "ToXMLStringTool" class (because the "XMLNode" class does the processing job for you during rendering).

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2